.lfr-layout-structure-item-container {padding: 0;}.lfr-layout-structure-item-row {overflow: hidden;}.lfr-layout-structure-item-346c03a0-df70-1ddb-b4e0-b6586b743223 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-c8be3844-5d72-adf0-250e-8f7eb449fd96 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-3730e5a3-b28d-101a-a3ed-225bca22b2fa {
color: var(--white) !important;
}
.lfr-layout-structure-item-fba5fbcc-a777-d960-2daf-e0557dee0f57 {
height: 350px !important;
}
.lfr-layout-structure-item-b623a796-b73e-31ef-6f58-393d01b9af18 {
height: 350px !important;
}
.lfr-layout-structure-item-0e19f9ca-7e2d-b19c-018c-be15eeb5f3aa {
height: 350px !important;
}
/* Si l'image est vide ou est le carré gris Liferay */
.img-fix-vide img[src*="data:image"], 
.img-fix-vide img[src*="layout-content-page-editor-web"],
.img-fix-vide img[src=""],
.img-fix-vide img:not([src]) {
    display: none !important;
}

/* On force la hauteur à 0 pour annuler ta hauteur par défaut */
.img-fix-vide {
    height: 0 !important;
    min-height: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
    overflow: hidden !important;
}

/* On redonne la hauteur seulement SI l'image a une vraie source (un vrai lien) */
.img-fix-vide:has(img[src^="/"]):not(:has(img[src*="layout-content-page-editor-web"])) {
    height: auto !important; /* Ou remets ta hauteur précise ici, ex: 300px */
}.lfr-layout-structure-item-cdb8d54a-f6d9-b74d-11fd-8f9c0427bb76 {
color: var(--white) !important;
}
.lfr-layout-structure-item-2b30a594-6abd-9e0a-395a-8010ddcea2a7 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-a3b28d23-9cf8-2402-fa76-984d5a98febd {
color: var(--white) !important;
}
.lfr-layout-structure-item-0980cb18-9725-3126-abda-bdaf070fce8a {
margin-bottom: 40px !important;
}
.lfr-layout-structure-item-db4b632d-9b0b-33a0-61da-945403e20ce8 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-43caf2ad-90d9-dcfb-a42b-d8ccd4dcd99f {
padding-right: 40px !important;
}
.lfr-layout-structure-item-e082be34-19a5-a3cb-e688-5b48ed8611db {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-1b839119-222b-5520-c3b1-8b343cd4ea9a {
margin-bottom: 20px !important;
}
.lfr-layout-structure-item-8273a154-418d-fd3a-dc15-c02070a75101 {
color: var(--white) !important;
}
.lfr-layout-structure-item-cf7c9a81-2258-85fb-7856-00a1f265eb47 {
margin-bottom: 40px !important;
}
.lfr-layout-structure-item-7fa7d90d-5046-4c50-4639-aa3968f5b58a {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 20px !important;
padding-left: 20px !important;
padding-right: 20px !important;
padding-top: 20px !important;
}
.lfr-layout-structure-item-1eb53613-71cf-015c-479f-d95cbc417101 {
font-size: var(--font-size-lg) !important;
font-weight: var(--font-weight-bolder) !important;
margin-bottom: 10px !important;
color: var(--white) !important;
}
.lfr-layout-structure-item-9af03ad0-6d6c-fab6-2719-903a7cd3f478 {
color: var(--white) !important;
}
.lfr-layout-structure-item-d1860a49-8e87-b0b3-a50c-4287be61efc6 {
padding-left: 60px !important;
}
.lfr-layout-structure-item-70a1235b-6c7e-baa9-7ca2-ac73c52843df {
margin-bottom: 20px !important;
}
.lfr-layout-structure-item-23f86318-2477-e0da-c07f-7f45de0990fa {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-7315d6b2-b252-9c09-137b-e1df08602e29 {
color: var(--white) !important;
}
.lfr-layout-structure-item-1fc5ac30-0055-a34e-7677-ac856bc04541 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-8d451bd6-6fcb-cb0e-a9f0-d5fc51a9e2f3 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-b06f0aae-a2f2-47c9-0fbe-f28d7cf39716 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
/* PAR DÉFAUT : On cache le bloc si l'URL est vide ou n'est pas mappée */
/* On cible le cas où le lien possède un href vide, un "#" ou n'a pas de texte */
.bloc-liens-dynamique:not(:has(a[href^="/"])):not(:has(a[href^="http"])) {
    display: none !important;
    height: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
}

/* SÉCURITÉ : Si on détecte un vrai lien (interne ou externe), on affiche tout */
.bloc-liens-dynamique:has(a[href^="/"]),
.bloc-liens-dynamique:has(a[href^="http"]) {
    display: block !important;
}.lfr-layout-structure-item-3f4d6191-a027-8d3b-dcbe-5be23d420fdd {
color: var(--white) !important;
}
.lfr-layout-structure-item-c25a2595-86e7-54d7-6073-977e2cb4a65a {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-d9431f1b-211e-934d-cde4-4cda927776a0 {
color: var(--white) !important;
}
.lfr-layout-structure-item-1c452b16-df8b-e3c5-f11f-671767470d0e {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-c328d1f3-4782-2bcd-a34d-9c97eb65add9 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-54dcfb68-1f94-075d-2fce-f48c0937d811 {
color: var(--white) !important;
}
.lfr-layout-structure-item-1bc4ab01-3323-8e18-8abb-0529e4a8f4b9 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-340a0fef-1400-a304-526d-92c8a5594c40 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-d970ca7b-70b8-b6d0-a92a-cdd2ebaac283 {
margin-bottom: 100px !important;
width: 50% !important;
}
.lfr-layout-structure-item-dec39b2d-c60c-f8ac-867d-8dee7270c243 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-fccdeb90-fa68-8158-b634-b0a9490f005b {
background-position: 50% 50%; background-repeat:no-repeat; background-size: cover; background-image: var(--lfr-background-image-fccdeb90-fa68-8158-b634-b0a9490f005b) !important;
border-style: solid; border-width: 0 !important; border-width: 0px !important;
margin-top: -450px !important;
padding-top: 500px !important;
}
.lfr-layout-structure-item-e2b9e02a-3a84-461a-c11b-2b38d3123d5e {
font-size: var(--font-size-lg) !important;
font-weight: var(--font-weight-bolder) !important;
margin-bottom: 10px !important;
color: var(--white) !important;
}
.lfr-layout-structure-item-b1c1eb50-786b-de47-0863-d93dfde52908 {
font-size: var(--font-size-lg) !important;
font-weight: var(--font-weight-bolder) !important;
margin-bottom: 10px !important;
color: var(--white) !important;
}
.lfr-layout-structure-item-2dc9d408-9bdc-5189-4b21-6fcdbbcf14f2 {
margin-bottom: 70px !important;
}
.lfr-layout-structure-item-dede516e-c13a-9d05-9ba5-2e6bc0e4ec67 {
background-position: 50% 50%; background-repeat:no-repeat; background-size: cover; background-image: var(--lfr-background-image-dede516e-c13a-9d05-9ba5-2e6bc0e4ec67) !important;
padding-bottom: 250px !important;
padding-top: 40px !important;
}
.fond-personnalise {
    background-size: 100% auto;
    background-position: center bottom !important;
    background-repeat: no-repeat;
}.lfr-layout-structure-item-e7424fae-f484-6b4c-0c25-88438baf6720 {
color: var(--white) !important;
}
.lfr-layout-structure-item-dc25ae10-c9cb-2f7e-9652-baa04c4fd142 {
height: 350px !important;
}
.lfr-layout-structure-item-f771b314-52da-ff1a-a0f4-96b43b9f308d {
background-color: #fffff5 !important;
margin-bottom: 40px !important;
padding-bottom: 20px !important;
padding-left: 20px !important;
padding-right: 20px !important;
padding-top: 20px !important;
}
/* ÉTAPE 1 : On définit ce qui rend la grille visible */
/* Si la grille contient une image valide OU un paragraphe avec du texte */
.grille-couleur-test:has(img[src^="/documents"]),
.grille-couleur-test:has(p:not(:empty)),
.grille-couleur-test:has(h1:not(:empty)),
.grille-couleur-test:has(h2:not(:empty)) {
    display: flex !important; /* ou block */
    background-color: inherit; /* On garde ta couleur */
}

/* ÉTAPE 2 : On cache TOUT si aucun contenu réel n'est détecté */
/* On exclut les placeholders Liferay (images grises et textes par défaut) */
.grille-couleur-test:not(:has(img[src^="/documents"])):not(:has(p:not(:empty))):not(:has(h1:not(:empty))) {
    display: none !important;
    background: transparent !important;
    background-color: transparent !important;
    height: 0 !important;
    min-height: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
}

/* Sécurité pour le carré gris Liferay dans l'éditeur */
.grille-couleur-test:has(img[src*="layout-content-page-editor-web"]):not(:has(img[src^="/documents"])) {
     /* Si on est sur une image vide et qu'il n'y a pas d'autre contenu, on cache */
}.lfr-layout-structure-item-1555a5b7-07cb-0ba0-6690-3e8fa37099c1 {
margin-top: -20px !important;
}
.lfr-layout-structure-item-d1834754-2073-6a59-0ea7-5a7f86937d02 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-5d0f567c-c43d-c0a9-432d-29cac0350c97 {
text-align: right !important;
}
.lfr-layout-structure-item-f8497a7d-8c22-ca7b-3c3c-e9a499493a3d {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 20px !important;
padding-left: 20px !important;
padding-right: 20px !important;
padding-top: 20px !important;
}
.lfr-layout-structure-item-79371270-99f2-5633-9a69-a36822f11d87 {
background-color: var(--white) !important;
border-radius: 20px !important;
border-style: solid; border-width: 0 !important; border-width: 0px !important;
margin-bottom: 100px !important;
padding-bottom: 20px !important;
padding-left: 20px !important;
padding-right: 20px !important;
padding-top: 20px !important;
width: 50% !important;
}
.lfr-layout-structure-item-77465c50-e5df-ddec-e8a7-34f08be5ead5 {
background-position: 50% 50%; background-repeat:no-repeat; background-size: cover; background-image: var(--lfr-background-image-77465c50-e5df-ddec-e8a7-34f08be5ead5) !important;
border-radius: 10px !important;
height: 450px !important;
}
.lfr-layout-structure-item-4b3740ee-ffb9-ffe7-0226-3bae71e8e2b3 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-7235b14e-1a97-4894-2ac5-c86d5162e817 {
color: var(--white) !important;
}
.lfr-layout-structure-item-bf95940f-29e5-bf80-77b5-07095a0c02de {
margin-bottom: 60px !important;
padding-top: 40px !important;
text-align: center !important;
}
.lfr-layout-structure-item-8afb9d8d-5523-e6d4-9803-837b0a707833 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 20px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 20px !important;
}
.lfr-layout-structure-item-77d4beec-1dba-a6e6-f9a0-2e30a918e7f9 {
background-color: var(--white) !important;
padding-bottom: var(--spacer-4,1.5rem) !important;
padding-left: var(--spacer-4,1.5rem) !important;
padding-right: var(--spacer-4,1.5rem) !important;
padding-top: var(--spacer-4,1.5rem) !important;
}
.lfr-layout-structure-item-77d4beec-1dba-a6e6-f9a0-2e30a918e7f9 {
position : relative;
z-index : 3;
}.lfr-layout-structure-item-2e4b0f8b-743e-1b24-97e5-a18c5002ea5e {
color: var(--white) !important;
}
.lfr-layout-structure-item-6e4be4aa-dbfc-5ee9-369f-615b78c2fbb7 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-4f05644b-88ac-46dd-f751-7eb854e7bfe9 {
color: var(--white) !important;
}
.lfr-layout-structure-item-ce9e78ae-d0aa-8eb2-4867-01b66cb6b019 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 20px !important;
padding-left: 50px !important;
padding-right: 0px !important;
padding-top: 20px !important;
}
.lfr-layout-structure-item-d3c21db2-c191-e7e3-0c83-0092fc6ee6b1 {
font-size: var(--font-size-lg) !important;
font-weight: var(--font-weight-bolder) !important;
margin-bottom: 10px !important;
color: var(--white) !important;
}
.lfr-layout-structure-item-ce9d1eb9-9f0f-43f9-b2e6-68b757a48cc4 {
color: var(--white) !important;
}
.lfr-layout-structure-item-da5c4ade-5d23-8c2b-0eeb-bf966b4f7843 {
padding-left: 40px !important;
}
.lfr-layout-structure-item-b7184ab7-c210-e7fc-ccb9-3dab6301b7dc {
background-color: #fffff5 !important;
margin-bottom: 40px !important;
padding-bottom: 20px !important;
padding-left: 20px !important;
padding-right: 20px !important;
padding-top: 20px !important;
}
.lfr-layout-structure-item-89610d22-f49b-6bb2-e35f-82d69c169a06 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-846b55cc-43bf-e2d4-9750-1a83a66d8142 {
margin-bottom: 40px !important;
}
.lfr-layout-structure-item-47ba076f-676f-6b02-a4fa-3ce9531066f8 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-87f8288f-63f2-9333-2eba-c3b1662e63bc {
background-color: #fffff5 !important;
margin-bottom: 40px !important;
padding-bottom: 20px !important;
padding-left: 20px !important;
padding-right: 20px !important;
padding-top: 20px !important;
}
.lfr-layout-structure-item-be8728ab-15db-97d7-6447-65a126986eb8 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-ea8a2e6a-80b2-eb14-4e5d-ace5c1bd5a09 {
padding-left: 40px !important;
}
.lfr-layout-structure-item-d285ce40-538c-8dca-0d3c-c08a04212fa1 {
padding-left: 40px !important;
}
.lfr-layout-structure-item-d03d1fdb-2644-51dc-4acf-e518d68a8df6 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-a463f410-033c-9f18-fe21-ab0a85e9ecfe {
font-size: var(--font-size-lg) !important;
font-weight: var(--font-weight-bolder) !important;
margin-bottom: 10px !important;
color: var(--white) !important;
}
.lfr-layout-structure-item-a1a6d86e-6d45-3ea1-0c14-cc39adbc0e31 {
margin-bottom: 50px !important;
text-align: center !important;
}
.lfr-layout-structure-item-063ebaba-dfb2-e8fb-0fb3-343090fbb961 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-bc02789d-e993-ab3e-e61d-3c433ad8c1c2 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-acbd60f9-328f-4bbc-c2d7-182a9a58d762 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-b63c851e-31e9-8830-a310-467a63562aa5 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-7e489fdf-01cc-8582-7ba1-de2d2e936388 {
font-size: var(--font-size-lg) !important;
font-weight: var(--font-weight-bolder) !important;
margin-bottom: 10px !important;
color: var(--white) !important;
}
.lfr-layout-structure-item-be1da7e5-9b26-b3e2-00b5-c9e4ddaa78fd {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-2fbb6b76-4d47-9f76-6929-1dd3c35635b6 {
font-size: var(--font-size-lg) !important;
font-weight: var(--font-weight-bolder) !important;
margin-bottom: 10px !important;
color: var(--white) !important;
}
.lfr-layout-structure-item-27aff0f4-0ac1-2948-bd47-b6f5dd5b5638 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 0px !important;
padding-left: 0px !important;
padding-right: 0px !important;
padding-top: 0px !important;
}
.lfr-layout-structure-item-1c908716-a6d8-24c9-3007-c6d4e2197325 {
margin-bottom: 20px !important;
padding-top: 20px !important;
}
.lfr-layout-structure-item-bc9c9fe3-da9b-5b65-d2c3-c65b9bbe261c {
color: var(--white) !important;
}
.lfr-layout-structure-item-4c8ff8cc-51fb-694a-6bb6-09f2b6da523e {
color: var(--white) !important;
}
.lfr-layout-structure-item-073fbddd-787c-53b2-f29f-239bcc1b9d62 {
border-radius: 30px !important;
border-style: solid; border-width: 0 !important; border-width: 0px !important;
}
.lfr-layout-structure-item-15a2f567-a91d-ccce-36d1-ab41ff55dea3 {
color: var(--white) !important;
}
.lfr-layout-structure-item-b2a858dd-2275-ef48-6818-be803e835fcf {
height: 350px !important;
}
.lfr-layout-structure-item-a4df4f18-952e-4183-0b44-88840606b29a {
color: var(--white) !important;
}
.lfr-layout-structure-item-152d7a36-fa18-93ea-4d74-6ebb9b022d77 {
padding-right: 40px !important;
}
.lfr-layout-structure-item-30aab96a-83d2-e0d4-206a-e38204044995 {
border-style: solid; border-width: 0 !important; border-width: 0px !important;
padding-bottom: 20px !important;
padding-left: 0px !important;
padding-right: 20px !important;
padding-top: 20px !important;
}
